Subject: bug#31990: 26.1; Stuck in loop trying to send bug report

From: Live System User <[email-masked]>
Date: Wed, 11 Jul 2018 16:47:32 -0400

Robert Pluim <[email-masked]> writes:

> Live System User <[email-masked]> writes:
>
>>> This is already in place, and it works for me, but itʼs not working
>>> correctly for you. Could you provide more details on how youʼre
>>> specifying your username/password? Based on looking at the code, this
>>> situation could arise if you only set smtpmail-smtp-user without
>>> having an entry in .authinfo.
>>
>>   That's my situation.
>>
>>   I don't have and don't want that entry saved on disk.
>
> Which entry?

  The emtire SMTP server entry.
  
>              Thereʼs no need to store the password, a .authinfo with
> just
>
> machine my.mail.provider login myname port 465
>
> should be enough to get auth-source to prompt you for the password
> straight after the SMTP server sends its capabilities (and this will
> not cause the password to be stored on disk).

  I have serveral emtries in my .authinfo.gpg -- most without a
  password stored.

  There are two 2 servers that I don't want ANY information about
  stored on disk -- not even in an encrypted .authinfo.gpg file.

  Previously, one used `smtpmail-auth-credentials' for this.

  Thanks.